Subject: Re: [MOBILE-IP] charter review

From: "Alan O'Neill" <[email-masked]>
Date: Wed, 16 Aug 2000 15:34:55 +0100

Hi Phil / Basavaraj,

The EMA team definitely agree that the re-focussing needs to be done and I
certainly plan
to refresh a proposal to the AD's to enable a BOF at the next IETF to
address intra-domain mobile routing. Routing should not be in MIP...

BT however is specifically seeking a large-scale mobile routing solution for
input
into the 3G bodies for Release 2000+ which includes support for fast
restoration at the IP layer. This solution should co-exist with MIP based
mechanisms to support evolutionary and incremental deployment. Interactions
with GTP mechanisms will likely be covered by 3G activity.

Whilst BT is not specifically interested at this time in small scale
(micro-mobility)
solutions, they are clearly within the scope of this BOF, share a common
need for
standardisation with well-defined applicability statements and hopefully a
common interface to both hosts, edge routers and the related MIP interfaces
/ features for IP hand-over, temporary forwarding and inter-domain movement.

I think it is important that the above requirements for MIP are kept in
scope of the
MIP working group so that we avoid evolutionary disconnects. We will
certainly
continue to contribute to both the handoff plane of MIP and the mobile
routing work to
assist in this.

Alan O'Neill, Scott Corson, George Tsirtsis.

> -----Original Message-----
> From: Roberts Phil-QA3445 [SMTP:[email-masked]]
> Sent: Thursday, August 10, 2000 12:06 AM
> To:   [email-masked]
> Subject:      [MOBILE-IP] charter review
>
> The chairs would like to refocus the Mobile IP WG objectives to
> protocols and solutions that are based on Mobile IP v4 and v6. The
> current objective in the charter of enhancing the protocol to make it
> suitable for deployment can be achieved if we simply focus on what
> needs to be done from the perspective of just Mobile IP as specified
> for IPv4 and IPv6.
> We believe that alternatives to Mobile IP for IP mobility are outside
> the scope of this WG. To this end we are proposing that we remove the
> micromobility bullet item from our charter. Removing this means that
> we are not going to be considering protocols that are not based of
> Mobile IP v4/6. The two specific protocols that are WG items currently
> that will drop out of scope immediately are Cellular IP and HAWAII.
>
> We would like to hear from WG members their opinions on this
> proposal. You should be aware that going forward there MAY or
> MAY NOT necessarily be another WG in the IETF to pick up this work
> although we feel that it is a topic that needs separate coverage.
>
> Phil and Basavaraj

---

From: "Charles E. Perkins" <[email-masked]>
Date: Wed, 16 Aug 2000 08:26:37 -0700

Hello Alan,

Since IPv4 Regional Registration is in Last Call (I think!) and
it purports to be a Mobile IP mechanism for doing intra-domain
mobility, I would like to see that it remain a mobile-ip working
group item for at least as long as it takes to make it out of
the current process.

I thought that there was a distinction being made based on whether
an intra-domain mechanism used Mobile IP or not.  Mechanisms that
use Mobile IP are worth discussion in the mobile-ip working group.
Mechanisms that use some other protocol might be beneficially
discussed in some outgrowth of CRAPS or OBAST or something along
those lines.  Layer-2 mechanisms might not even belong in the IETF.

Handover mechanisms that involve Mobile IP also should be discussed
in the mobile-ip working group.  My understanding of the problem
leads me to believe that some handover mechanisms involve Mobile IP,
and others do not.  It is the task of the recently designated
design teams to figure this out for IPv4 and for IPv6.

> address intra-domain mobile routing. Routing should not be in MIP...

Mobile IP is in the routing area.  So, I am not at all clear on what
you mean by this statement.  If you mean that OSPF or RIP-based solutions
for intra-domain mobility should be discussed elsewhere, I agree.
If you mean that tunneling solutions should be discussed elsewhere,
then it seems to me that would depend on whether the tunneling is
controlled as part of the Mobile IPv4 registration process or else
the Mobile IPv6 Binding Update delivery.

> with GTP mechanisms will likely be covered by 3G activity.

The working group should open some discussion on whether GTP tunneling
is a useful work item.  Alessio Casati authored a small draft on GTP
which was intended to open this discussion, but not much interest has
been shown for a long time.  What does "fast restoration" mean?
What does Release 2000+ mean?  Is it different than the rumored
Release 01?

> / features for IP hand-over, temporary forwarding and inter-domain movement.

Can you make a clear distinction between your proposed BOF, and the
selection of topics that were raised at the recent CRAPS BOF?

> continue to contribute to both the handoff plane of MIP and the mobile

Would you formulate the proposed requirements on Mobile IP as follows?
- Mobile IP interfaces to intra-domain mobility mechanisms
- Evolutionary paths from GTP
- IP handover interface
- Tunneling from the previous access router (foreign agent)
- Inter-domain mobility

I assume that this last point would include some AAA interface requirement.

Regards,
Charlie P.